Bug 1250194 - [Docs] [CLI] CLI documentation tells users to install openstack clients with pip
[Docs] [CLI] CLI documentation tells users to install openstack clients with pip
Status: CLOSED DUPLICATE of bug 1242897
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z1
: 7.0 (Kilo)
Assigned To: Deepti Navale
: Documentation
Depends On:
Blocks: 1257000
  Show dependency treegraph
 
Reported: 2015-08-04 13:16 EDT by David Kranz
Modified: 2015-08-25 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 21:52:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kranz 2015-08-04 13:16:41 EDT
On page 19 of http://file.bne.redhat.com/~adahms/osp/pdf/Red_Hat_Enterprise_Linux_OpenStack_Platform-7-Command-Line_Interface_Reference_Guide-en-US.pdf it says:

"To install the clients on Red Hat Enterprise Linux, use pip. It is easy to use, ensures that
you get the latest version of the clients from the Python Package Index, and lets you
update or remove the packages later on."

Getting the latest version (possibly different than what you installed on your other machine yesterday) is one of the reasons users should use rpms and not pip. We ship rpms for all the clients we support so I'm not sure why we do not document to use them.
Comment 3 Andrew Dahms 2015-08-05 21:27:47 EDT
Assigning to Deepti for review.

Deepti - will the changes on the previous CLI bug you worked on take care of the request here as well?

Note You need to log in before you can comment on or make changes to this bug.